%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%   Final model parameters     %%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all;
clc;

%Offshore AC grid cables
fo_spec = 50/3; % Hz
Ro = 0.2246e-3; % ohm/km
Lo = 0.43e-3; % H/km
Co = 0.18e-6; % F/km

%Transmission cable
f_spec = 50/3; % Hz,Frequency used for rlc specification
Rc = 0.1244e-3; % ohm/km
Lc = 0.43e-3; % H/km
Cc = 0.14e-6; % F/km

l_section = 50;% km

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%      pf-curve        %%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


steps = 500;
margin = 10;    

a =  14.399813;
b = 0.3333;
c = -0.8863;
format long;
x=linspace(0,1,steps);

y = a*x.^b+c;

speed_table_rpm = zeros(steps+margin,1);
%speed_table_rpm = [-1.0310;  3.8989;    5.1283;    5.9851;    6.6643 ;   7.2361   ; 7.7347   ; 8.1796 ;   8.5832  ;  8.9539 ; 9.2976  ;  9.6187 ;   9.9205 ;  10.2058;   10.4764  ; 10.7343 ;  10.9807  ; 11.2169  ; 11.4439  ; 11.6624;  11.8733   ;12.0771 ;  12.2744 ;  12.4657  ; 12.6515  ; 12.8321 ;  13.0079   ;13.1791  ; 13.3460  ; 13.510]
for i=1:steps
    speed_table_rpm(i,1) = y(i);
end

for i=1:margin
    speed_table_rpm(steps+i,1) = 13.513513;
end




